Subject: Re: [MMUSIC] Benjamin Kaduk's No Objection on draft-ietf-mmusic-t140-usage-data-channel-12: (with COMMENT) - Christer's 2nd reply

From: Christer Holmberg <[email-masked]>
Date: Wed, 8 Apr 2020 21:01:25 +0000

Hi,

I noted there were one more place where Gunnar asked for my input. I am addressing that in this reply.

(Gunnar, let me know if there is something I've missed.)

    ----------------------------------------------------------------------

    COMMENT:

    ----------------------------------------------------------------------

    .....

    Section 5.2

    >>     Each T140block is sent on the SCTP stream [RFC4960] used to realize

    >>     the T.140 data channel using standard T.140 transmission procedures

    >>     [T140].  [...]

    >> I'm not really sure what is meant by "standard T.140 transmission

    >> procedures" -- is that supposed to cover the process by which the webrtc

    >> stack receives the T.140 input or something done within webrtc?

    > This is esseentially chapter 7 of T.140. It is at least to use UTF-8

    > coding as specified in T.140. And start after channel establishment by

    > sending UTF-8 BOM. It is also to not buffer longer than 500 ms, even if

    > that is also said in another place.

    >>     Data sending and reporting procedures conform to [T140].

    >> I don't see any instance of the string "report" in

    >> file:///home/bkaduk/Downloads/T-REC-T.140-199802-I!!PDF-E.pdf; am I

    >> missing something?

    > Right. There is only one response specified in T.140. It is the

    > "Unsupported request" in section 8.7. But that cannot really be called a

    > report.  Maybe another reference was intended here.

    > draft-ietf-rtcweb-data-channel could be intended for the sending, but it

    > has nothing on reporting. W3C webrtc has requirements on reporting for

    > statistics, but I doubt that that was intended.   Over to Christer...

    I don’t know where “reporting” is coming from. It was already in the old schwarz draft (that this draft replaced).

    I also had a look in T.140, and couldn’t find anything related to reporting.

    My suggestion is to remove it.

    Regards,

    Christer

---

From: Gunnar Hellström <[email-masked]>
Date: Wed, 8 Apr 2020 23:17:32 +0200

Hi,

Please note that I am moving to a new e-mail address.

Den 2020-04-08 kl. 23:01, skrev Christer Holmberg:
>     >>
>     >>     Each T140block is sent on the SCTP stream [RFC4960] used to 
> realize
>
>     >>     the T.140 data channel using standard T.140 transmission 
> procedures
>
> >> [T140].  [...]
>
>     >>
>
>     >> I'm not really sure what is meant by "standard T.140 transmission
>
>     >> procedures" -- is that supposed to cover the process by which 
> the webrtc
>
>     >> stack receives the T.140 input or something done within webrtc?
>
> >
>
>     > This is esseentially chapter 7 of T.140. It is at least to use 
> UTF-8
>
>     > coding as specified in T.140. And start after channel 
> establishment by
>
>     > that is also said in another place.
>
>     >>
>
>     >>     Data sending and reporting procedures conform to [T140].
>
>     >>
>
>     >> I don't see any instance of the string "report" in
>
>     >> file:///home/bkaduk/Downloads/T-REC-T.140-199802-I!!PDF-E.pdf; am I
>
>     >> missing something?
>
> >
>
>     > draft-ietf-rtcweb-data-channel could be intended for the 
> sending, but it
>
>     > has nothing on reporting. W3C webrtc has requirements on 
> reporting for
>
>     > statistics, but I doubt that that was intended. Over to Christer...
>
> I don’t know where “reporting” is coming from. It was already in the 
> old schwarz draft (that this draft replaced).
>
Fine with me.

/Gunnar

>  Regards,
>
> Christer
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

-- 
Gunnar Hellström
GHAccess
[email-masked]

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 9 Apr 2020 12:07:47 -0700

Hi Christer, Gunnar,

Thanks for all the replies: with the changes already in github I think
we're all set here.

-Ben

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 9 Apr 2020 19:57:08 +0000

Thanks! :)

Regards,

Christer

On 09/04/2020, 22.08, "Benjamin Kaduk" <[email-masked]> wrote:

    Hi Christer, Gunnar,

    -Ben